services:

  mistox-server:
    container_name: mistox_server
    image: docker.mistox.net/boredcareers-website:latest
    restart: always
    environment:
      - PaymentService=${Payment_Service}
      - StripePublicKey=${Stripe_PublicKey}
      - StripeApiKey=${Stripe_ApiKey}
      - StripeEndpointSecret=&{Stripe_Endpoint_Secret}
      - MySQLServer=${MySQL_Server}
      - MySQLUser=${MySQL_User}
      - MySQLPass=${MySQL_Pass}
      - MySQLDatabase=${MySQL_Database}
      - EmailServer=${Email_Server}
      - EmailPort=${Email_Port}
      - EmailAddress=${Email_Address}
      - EmailPassword=${Email_Password}
    ports:
      - 5000:5000
    depends_on:
      - mistox-database

  mistox-database:
    container_name: mistox_database
    image: docker.mistox.net/boredcareers-sql:latest
    restart: always
    volumes:
      - ./data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: ${MySQL_Pass}